from marshmallow import Schema, fields, post_load, validates, ValidationError
class RoomSchema(Schema):
    room_name = fields.String(required=True)
    zone_id = fields.String(required=False)
    site_id = fields.Integer(required=True)
    x_min = fields.String(required=False)
    y_min = fields.String(required=False)
    x_max = fields.String(required=False)
    y_max = fields.String(required=False)
    zone_name = fields.String(required=True)
    @validates("room_name")
    def required_room_name(self, value):
        if not value:
            raise ValidationError("The Room Name field is required")
    @validates("zone_name")
    def required_zone_name(self, value):
        if not value:
            raise ValidationError("The Zone Name field is required")
    @post_load
    def make_user(self, data, **kwargs):
        return data
room_schema = RoomSchema()
rooms_schemas = RoomSchema(many=True)